python-openscap_1.2.14-1build1_i386.deb


Advertisement

Description

python-openscap - Set of libraries enabling integration of the SCAP line of standards

Property Value
Distribution Ubuntu 17.10 (Artful Aardvark)
Repository Ubuntu Universe i386
Package name python-openscap
Package version 1.2.14
Package release 1build1
Package architecture i386
Package type deb
Installed size 1.77 KB
Download size 209.42 KB
Official Mirror archive.ubuntu.com
OpenSCAP is a set of open source libraries providing an easier path
for integration of the SCAP line of standards. SCAP is a line of
standards managed by NIST with the goal of providing a standard language
for the expression of Computer Network Defense related information.
The intended scope of this project is to implement working interface
wrappers for parsing and querying SCAP content including:
* Common Vulnerabilities and Exposures (CVE)
* Common Configuration Enumeration (CCE)
* Common Platform Enumeration (CPE)
* Common Vulnerability Scoring System (CVSS)
* Extensible Configuration Checklist Description Format (XCCDF)
* Open Vulnerability and Assessment Language (OVAL)
This package contains the Python bindings for OpenSCAP.

Alternatives

Package Version Architecture Repository
python-openscap_1.2.14-1build1_amd64.deb 1.2.14 amd64 Ubuntu Universe
python-openscap - - -

Requires

Name Value
libc6 >= 2.4
libopenscap8 = 1.2.14-1build1
python << 2.8
python >= 2.7~
python:any << 2.8
python:any >= 2.7.5-5~

Provides

Name Value
python2.7-openscap -

Download

Type URL
Binary Package python-openscap_1.2.14-1build1_i386.deb
Source Package openscap

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install python-openscap deb package:
    # sudo apt-get install python-openscap

Files

Path
/usr/lib/python2.7/dist-packages/_openscap_py.i386-linux-gnu.so
/usr/lib/python2.7/dist-packages/openscap.py
/usr/lib/python2.7/dist-packages/openscap_api.py
/usr/lib/python2.7/dist-packages/oscap_docker_python/__init__.py
/usr/lib/python2.7/dist-packages/oscap_docker_python/get_cve_input.py
/usr/lib/python2.7/dist-packages/oscap_docker_python/oscap_docker_util.py
/usr/share/doc/python-openscap/changelog.Debian.gz
/usr/share/doc/python-openscap/copyright

Changelog

2017-07-26 - Matthias Klose <doko@ubuntu.com>
openscap (1.2.14-1build1) artful; urgency=medium
* No-change rebuild for perl 5.26.0.
2017-07-05 - Pierre Chifflier <pollux@debian.org>
openscap (1.2.14-1) unstable; urgency=medium
* Imported Upstream version 1.2.10
* New upstream version 1.2.14 (Closes: #848108)
* Enable Script Check Engine (SCE) (Closes: #852826, #853180)
* Add libdbus-1-dev to build-deps (Closes: #853995)
2016-04-26 - Pierre Chifflier <pollux@debian.org>
openscap (1.2.9-1) unstable; urgency=medium
* Update watch file (project is now on github)
* Imported Upstream version 1.2.9
* Update docs path (html version removed)
* Bump Standards Version to 3.9.8
2016-01-21 - Pierre Chifflier <pollux@debian.org>
openscap (1.2.8-1) unstable; urgency=medium
* Imported Upstream version 1.2.8
2015-12-06 - Pierre Chifflier <pollux@debian.org>
openscap (1.2.7-1) unstable; urgency=medium
* Imported Upstream version 1.2.7
* Add libbz2-dev to build-deps
* Refreshed quilt patches, removed 005_configure_dpkg_probe (fixed upstream)
2015-09-26 - Pierre Chifflier <pollux@debian.org>
openscap (1.2.5-1) unstable; urgency=medium
* Imported Upstream version 1.2.5
* Use misc:pre-depends for multiarch-support
2015-05-06 - Pierre Chifflier <pollux@debian.org>
openscap (1.2.3-1) unstable; urgency=medium
* Imported Upstream version 1.2.3
* Refreshed quilt patches
* Update build-dep to libgcrypt-dev
* Bump Standards Version to 3.9.6
* Add missing source for jQuery minified version (docs/html)
2014-06-29 - Pierre Chifflier <pollux@debian.org>
openscap (1.0.9-1) unstable; urgency=medium
* Imported Upstream version 1.0.4
* Imported Upstream version 1.0.9 (Closes: #750702)
* Refreshed quilt patches
* Remove useless build-deps on python-support
* Get Perl directories from the 'Config' module (Closes: #752801)
2014-01-13 - Pierre Chifflier <pollux@debian.org>
openscap (1.0.2-1) unstable; urgency=low
* Imported Upstream version 1.0.2
* Refreshed quilt patches
Removed 004_format_security.patch, merged upstream
2013-12-30 - Pierre Chifflier <pollux@debian.org>
openscap (1.0.1-2) unstable; urgency=low
* Add conflicts/replaces on libopenscap3 (Closes: #733589)

See Also

Package Description
python-openslide-examples_1.1.1-2ubuntu4_all.deb Python examples for python-openslide and python3-openslide
python-openslide_1.1.1-2ubuntu4_i386.deb Python 2 wrapper for reading whole slide image files
python-openstack-compute_2.0a1-0ubuntu3_i386.deb Python bindings for the Rasckspace Cloud Servers API
python-openstack-doc-tools_1.5.0-0ubuntu2_all.deb tools used by the OpenStack Documentation project - Python 2.7
python-openstack.nose-plugin_0.11-2_all.deb nosetests output to mimic the output of openstack's run_tests.py - Python 2.x
python-openstackdocstheme_1.16.1-0ubuntu1_all.deb extension support for Sphin OpenStack docs - Python 2.7
python-openturns-dev_1.7-3ubuntu1_all.deb Python front-end of OpenTURNS (transitional package)
python-openturns_1.7-3ubuntu1_i386.deb Python front-end of OpenTURNS (aka TUI)
python-openvdb_3.2.0-2.1_i386.deb Sparse Volume Processing toolkit - Python binding
python-openwsman_2.4.7-0ubuntu2_i386.deb Open Web Services Manager Python bindings
python-opster_4.1-2_all.deb python command line parsing speedster
python-optcomplete_1.2-13_all.deb provide bash-completion for Python programs
python-os-api-ref-common_1.2.0-0ubuntu1_all.deb Sphinx Extensions to support API reference sites in OpenStack - common
python-os-api-ref_1.2.0-0ubuntu1_all.deb Sphinx Extensions to support API reference sites in OpenStack - Python 2.7
python-os-apply-config_0.1.14-1_all.deb Creates config files out of cloud metadata
Advertisement
Advertisement